edu.sc.seis.sod

## Class SodConfig

- java.lang.Object
- - edu.sc.seis.sod.SodConfig

-     public class SodConfig
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `config`
    `protected java.sql.Timestamp` | `time`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `SodConfig()` for hibernate
    `` | `SodConfig(java.io.BufferedReader r1)`
    `` | `SodConfig(java.lang.String conf)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getConfig()`
    `int` | `getDbid()`
    `java.sql.Timestamp` | `getTime()`
    `protected void` | `setConfig(java.lang.String config)`
    `protected void` | `setDbid(int dbid)`
    `protected void` | `setTime(java.sql.Timestamp time)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### config

          protected java.lang.String config

    - #### time

          protected java.sql.Timestamp time

  - ### Constructor Detail

    - #### SodConfig

          protected SodConfig()

      for hibernate

    - #### SodConfig

          public SodConfig(java.lang.String conf)

    - #### SodConfig

          public SodConfig(java.io.BufferedReader r1)
                    throws java.io.IOException

      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### getDbid

          public int getDbid()

    - #### setDbid

          protected void setDbid(int dbid)

    - #### getConfig

          public java.lang.String getConfig()

    - #### setConfig

          protected void setConfig(java.lang.String config)

    - #### getTime

          public java.sql.Timestamp getTime()

    - #### setTime

          protected void setTime(java.sql.Timestamp time)